/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain a
 * copy of the License at
 *
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package nl.cloudfarming.client.isobus.tree;

import nl.cloudfarming.client.isobus.model.IsobusPoint;
import org.openide.nodes.AbstractNode;
import org.openide.nodes.Children;
import org.openide.util.NbBundle;

/**
 * Creates a node which represents a {@link IsobusPoint}
 *
 * @author Merijn Zengers <Merijn.Zengers@gmail.nl>
 */
@NbBundle.Messages({"isobus project taskdata node name point=Point ({0} - {1})"})
public class PointNode extends AbstractNode {

    private static final String POINT_NODE_ICON = "nl/cloudfarming/client/isobus/tree/isobus_taskdata_point.png";

    public PointNode(IsobusPoint isobusPoint) {
        super(Children.LEAF);
        setName(Bundle.isobus_project_taskdata_node_name_point(isobusPoint.getPositionNorth(), isobusPoint.getPositionEast()));
        setIconBaseWithExtension(POINT_NODE_ICON);

    }
}
