/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.isobus.tree;

import java.util.List;
import nl.cloudfarming.client.isobus.model.IsobusTaskData;
import org.openide.nodes.ChildFactory;
import org.openide.nodes.Children;
import org.openide.nodes.Node;
import org.openide.util.NbBundle;

/**
 *
 * @author Gerben Feenstra
 */
@NbBundle.Messages({ 
    "isobus.project.taskdata.aggregatenode.name.task=Tasks"
    
})
public class TaskDataChildFactory extends ChildFactory<Node> {

    private static final String TASK_AGGREGATENODE_ICON = "nl/cloudfarming/client/isobus/tree/isobus_taskdata_tasks.png";
    private final IsobusTaskData isobusObj;

    public TaskDataChildFactory(IsobusTaskData isobusObj) {
        this.isobusObj = isobusObj;
    }

    @Override
    protected boolean createKeys(List<Node> toPopulate) {

        // XML Main node
        IsobusTaskData isobusTaskData = (IsobusTaskData) isobusObj;

        // Task (TSK)
        Children taskChildren = Children.create(new AggregateNodeChildFactory<>(isobusTaskData.getTSK()), true);
        toPopulate.add(new IsobusAggregateNode(taskChildren, TASK_AGGREGATENODE_ICON, Bundle.isobus_project_taskdata_aggregatenode_name_task()));   
        
        return true;
    }

    @Override
    protected Node createNodeForKey(Node key) {
        return key;
    }
}
